-- USER SQL
CREATE USER Manteniment IDENTIFIED BY manteniment
DEFAULT TABLESPACE USERS
TEMPORARY TABLESPACE TEMP
ACCOUNT UNLOCK;

-- ROLES
GRANT "CONNECT" TO Manteniment ;
GRANT "RESOURCE" TO Manteniment ;
ALTER USER Manteniment DEFAULT ROLE "CONNECT","RESOURCE";

-- SYSTEM PRIVILEGES
GRANT CREATE TRIGGER TO Manteniment ;
GRANT CREATE TABLE TO Manteniment ;
GRANT CREATE SESSION TO Manteniment ;
GRANT CREATE PROCEDURE TO Manteniment ;

-- QUOTAS
ALTER USER Manteniment QUOTA UNLIMITED ON USERS;
