-- USER SQL
CREATE USER DW_MANTENIMENT IDENTIFIED BY dw_manteniment 
DEFAULT TABLESPACE USERS
TEMPORARY TABLESPACE TEMP;

-- ROLES
GRANT "CONNECT" TO DW_MANTENIMENT ;
GRANT "RESOURCE" TO DW_MANTENIMENT ;

-- SYSTEM PRIVILEGES
GRANT CREATE TRIGGER TO DW_MANTENIMENT ;
GRANT CREATE TABLESPACE TO DW_MANTENIMENT ;
GRANT CREATE SEQUENCE TO DW_MANTENIMENT ;
GRANT CREATE SYNONYM TO DW_MANTENIMENT ;
GRANT ADVISOR TO DW_MANTENIMENT ;
GRANT CREATE TABLE TO DW_MANTENIMENT ;
GRANT CREATE VIEW TO DW_MANTENIMENT ;
GRANT CREATE SESSION TO DW_MANTENIMENT ;
GRANT CREATE MATERIALIZED VIEW TO DW_MANTENIMENT ;
GRANT CREATE PROCEDURE TO DW_MANTENIMENT ;
GRANT CREATE DATABASE LINK TO DW_MANTENIMENT ;

-- QUOTAS
ALTER USER DW_MANTENIMENT QUOTA UNLIMITED ON USERS;
ALTER USER DW_MANTENIMENT QUOTA UNLIMITED ON UNDO;
ALTER USER DW_MANTENIMENT QUOTA UNLIMITED ON TEMP;
