
-- OS_Username s el nom d'usuari de sistema operatiu
-- Username s l'usuari de connexi a la base de dades
-- Owner s el nom del propietari de l'objecte
-- Obj_Name s el nom de l'objecte
-- Action_Name s l'acci executada 
-- Timestamp s l'hora d'execuci
-- SQL_TEXT s la sentncia SQL executada




SQL> SET HEADING OFF
SQL> SET FEEDBACK OFF
SQL> SPOOL C:\registre.log   -- nom del registre

SQL> SELECT  OS_Username || ',' 
, Username || ',' 
 , Owner || ',' 
 , Obj_Name || ',' 
 , Action_Name || ',' 
 , DECODE (Returncode, '0', 'Realizado', Returncode) || ',' 
 , TO_CHAR (Timestamp,  'DD-MM-YY HH24:MI:SS')|| ',' 
 , SQL_TEXT
from DBA_AUDIT_OBJECT where username like 'MANTENIMENT' and timestamp between to_date(to_char(sysdate-1, 'DD-MM-YYYY')) and (to_date(to_char(sysdate-1, 'DD-MM-YYYY')) + numtodsinterval(24, 'HOUR')) ;

SQL> SPOOL OFF;
SQL> SET FEEDBACK ON
SQL> SET HEADING ON 


